local ScreenManager = require 'lib.screenmanager.ScreenManager'
local Screen = require 'lib.screenmanager.Screen'

local GameOver = {}

function GameOver.new()
    local self = Screen.new()

    function self:draw()
        -- draw
        offw, offh = love.graphics.getDimensions()
        love.graphics.print('Game Over', love.graphics.getWidth()/2 - 50,love.graphics.getHeight() /2)
        love.graphics.print('Press R to restart', love.graphics.getWidth()/2 - 50,love.graphics.getHeight() /2 + 100)
    end

    function self:keypressed(key)
        if key == 'r' then
            ScreenManager.pop( 'gameover' )
            ScreenManager.push( 'game' )
        end
    end

    return self
end

return GameOver